UltraBranch Troubleshooting Guide

Browser Security Settings

To allow access to your accounts using UltraBranch, you must use a browser that fully supports TLS encryption, JavaScript, CSS Stylesheets, and Forms. Alaska USA requires TLS encryption version 1.0 or newer, which is a replacement for older SSL technologies. All current browsers support TLS encryption, although support may need to be enabled.

Alaska USA has tested browsers from both Microsoft and Mozilla. Other browsers that meet the requirements listed above should function correctly with UltraBranch, but are not tested by Alaska USA.

Do This: Click below on the web browser that you use